Subject: [Sigtran] M3UA - What state for AS in loadshare mode?

From: "Tolga Asveren" <[email-masked]>
Date: Mon, 24 Oct 2005 09:55:05 -0400

Pete,

> -----Original Message-----
> From: Tolga Asveren [mailto:[email-masked]]
> Sent: Monday, October 24, 2005 9:45 AM
> To: [email-masked]
> Subject:
>
>
> I have a question regarding the state of the AS in an N+K redundancy
> model and the sending of NTFYs.
>
> Consider the situation where the AS requires 2 ASPs to be active before
> the AS is considered active when operating in loadshare mode.
> Both ASPs are brought into an ACTIVE state.
>
> What happens when one of the ASPs becomes INACTIVE?  The RFC doesn't
> appear to be clear.
> It looks like we should send a NTFY (Insufficient resources).
> If the AS state goes to PENDING and then to INACIVE after Tr, we should
> also send a NTFY (PENDING) as well?
>
> The other 2 possibilities are
> 1) The AS state goes straight to INACTIVE - we send a NTFY (INACTIVE)
> 2) The AS state stays ACTIVE - this would seem a bit strange to me. Why
> would you consider the AS ACTIVE when you only have 1 ACTIVE
> association
> when associations are becomeing INACTIVE, but consider the AS INACTIVE
> when associations are coming up?
[TOLGA]2) is how it is supposed to work. The idea was, while AS is activated
being prepared for the worst/providing  desired redundancy, but when one ASP
becomes INACTIVE, trying to handle the traffic as much as possible - doing
otherwise would also decrease redundancy with n increasing-
>
>  From the state transition diagram Figure 4, it implies we should
> always
> go PENDING then INACTIVE. However, the text in 4.3.2 states
> "AS-PENDING:
> An active ASP has transitioned to ASP-INACTIVE or ASP DOWN and it was
> the last remaining active ASP in the AS."
> Additionally in 4.3.4.4 "If no other ASPs in the Application Server are
> in the state ASP-ACTIVE, the SGP MUST send a Notify message
> ("AS-Pending") to all of the ASPs in the AS which are in the state
> ASP-INACTIVE.
>
> So in summary, what NTFY messages should be sent and what state is the
> AS when one of the associations becomes INACTIVE.
[TOLGA]NTFY(Insufficient Resources) -no other NTFYs because AS state does
not change- and AS stays in ACTIVE state. PENDING is a state for AS, not for
ASP. Like it is stated in the text you quoted above, when the last ASP
serving AS becomes INACTIVE AS switches to PENDING state.

> Pete

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran